#
# python script to create tangent map correspondng to CD
#
# Author: Alex V. Boreskoff <steps3d@narod.du>
#

import PIL, Image, math

size   = 128
im     = Image.new ( "RGB", (size, size) )
center = float ( size - 1 ) * 0.5

for x in range ( size ):
	for y in range ( size ):
		xf = float ( x ) - center
		yf = float ( y ) - center
		
		len = math.sqrt ( xf * xf + yf * yf )
		
		if len > 0:
			tx  = xf / len
			ty  = yf / len
		else:
			tx = 0
			ty = 0
		
		r = round ( 128 + 127 * tx )
		g = round ( 128 + 127 * ty )
		b = 128
		
		im.putpixel ( (x,y), (r,g,b) )
		
im.show ()
im.save ( "tangent-map-radial.bmp", "bmp" )

