#
# python script to create tangent map correspondng to waves
#
# Author: Alex V. Boreskoff <steps3d@narod.du>
#

import PIL, Image, math

size   = 128
im     = Image.new ( "RGB", (size, size) )
freq   = 4*math.pi / size
scale  = 1/freq

for x in range ( size ):
	for y in range ( size ):
				# derivative of sin
		t1 = scale * freq * math.cos ( float ( x ) * freq )
		len = math.sqrt ( 1 + t1 * t1 )
		tx  = 1  / len
		ty  = t1 / len
		r = round ( 128 + 127 * tx )
		g = round ( 128 + 127 * ty )
		b = 128
		
		im.putpixel ( (x,y), (r,g,b) )
		
im.show ()
im.save ( "tangent-map-waves.bmp", "bmp" )

